=== debian/changelog ===
alljoyn-services-1604 (16.04-4ubuntu1) artful; urgency=medium

  * Resync on debian unstable. Remaining changes:
    + Build on all ubuntu archs supported at present.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 25 Aug 2017 17:47:21 +0530

alljoyn-services-1604 (16.04-4) unstable; urgency=medium

  * add gcc7 patch (Closes: #853308)
  * debian/control: change priority: from extra to optional
  * debian/control: bump standard to 4.0.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 Aug 2017 19:28:32 +0200

alljoyn-services-1604 (16.04-3) unstable; urgency=medium

  * move package to debian-iot-maintainer

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 26 Dec 2016 11:28:32 +0100

alljoyn-services-1604 (16.04-2) unstable; urgency=medium

  * adapt soname patch to create 1604 shared library (Closes: #836719)
  * debian/control: add conflict for 1504 (Closes: #836717)
  * debian/control: add conflict for 1509 (Closes: #836718)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Sep 2016 18:28:32 +0200

alljoyn-services-1604 (16.04-1) unstable; urgency=medium

  * Initial release (Closes: #828133)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Sep 2016 11:28:32 +0200
