=== debian/control ===
Source: alljoyn-services-1604
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: dh-exec (>=0.3)
               , debhelper (>=9)
	       , liballjoyn-common-dev-1604
	       , liballjoyn-dev-1604
               , scons
               , libssl-dev
               , libgtest-dev
	       , libxml2-dev
#	       , javahelper
#	       , junit
#	       , libcsv-java
#	       , libmatthew-debug-java
#	       , libitext-java
#               , ant
#               , libcap-dev
Standards-Version: 4.0.1
Homepage: https://allseenalliance.org/framework
Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/alljoyn-services-1604.git
Vcs-Git: https://anonscm.debian.org/git/debian-iot/alljoyn-services-1604.git

Package: liballjoynservices1604
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn base services library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the libraries for the base services 
 in version 1604.

Package: liballjoynservices-dev-1604
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoynservices1604 (= ${binary:Version}),
         liballjoyn-common-dev-1604
Section: libdevel
Description: AllJoyn base services C++ development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ development files for the base services.

Package: alljoyn-services-1604
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: alljoyn-services-1504, alljoyn-services-1509
Description: AllJoyn base services for 1604
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the software for the base services 
 in version 1604.
