=== debian/watch ===
version=3
opts="dversionmangle=s/base/alljoyn-services/" \
https://git.allseenalliance.org/cgit/services/base.git/ /cgit/services/base.git/snapshot/base-(16\.04.*)\.tar\.gz
